aboutsummaryrefslogtreecommitdiff
path: root/test.bash
diff options
context:
space:
mode:
Diffstat (limited to 'test.bash')
-rwxr-xr-xtest.bash8
1 files changed, 5 insertions, 3 deletions
diff --git a/test.bash b/test.bash
index 32f77dc..388ee9c 100755
--- a/test.bash
+++ b/test.bash
@@ -30,10 +30,12 @@ if [[ $OSTYPE == linux* ]] ; then
./build.bash
fi
-if go tool | grep vet > /dev/null ; then
- go tool vet -all -shadow .
-else
+if ! go tool | grep vet > /dev/null ; then
echo "'go tool vet' not available - skipping"
+elif [[ -d vendor ]] ; then
+ echo "vendor directory exists, skipping 'go tool vet'"
+else
+ go tool vet -all -shadow .
fi
# We don't want all the subprocesses holding the lock file open